# FdoXmlSpatialContextWriter Class Reference

`#include <SpatialContextWriter.h>`

Inheritance diagram for FdoXmlSpatialContextWriter:

[legend]

List of all members.

## Detailed Description

FdoXmlSpatialContextWriter writes Spatial Contexts to an XML document. This is done by calling the various setter functions to set the spatial context attributes and then calling WriteSpatialContext() to write the spatial context using the current attributes.

Definition at line 35 of file SpatialContextWriter.h.

## Public Member Functions
FDO_API FdoString * | GetCoordinateSystem ()
| Gets the name of the coordinate system of the context to create.
FDO_API FdoString * | GetCoordinateSystemWkt ()
| Gets the coordinate system of the context to create as a string in OpenGIS SRS WKT format.
FDO_API FdoString * | GetDescription ()
| Gets the description of the context to create as a string.
FDO_API FdoByteArray * | GetExtent ()
| Gets the extent of the context to create as a byte array in FGF format. If the extent type is dynamic, any value specified via this function is ignored.
FDO_API FdoSpatialContextExtentType | GetExtentType ()
| Gets the desired extent type of the context to create, either static or dynamic.
FDO_API FdoString * | GetName ()
| Gets the name of the context to create as a string.
FDO_API const double | GetXYTolerance ()
| Gets the tolerance value to use for X/Y ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
FDO_API const double | GetZTolerance ()
| Gets the tolerance value to use for Z ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
FDO_API void | SetCoordinateSystem (FdoString *value)
| Gets the name of the coordinate system of the context to create.
FDO_API void | SetCoordinateSystemWkt (FdoString *value)
| Sets the coordinate system of the context to create as a string in OpenGIS SRS WKT format.
FDO_API void | SetDescription (FdoString *value)
| Sets the description of the context to create as a string.
FDO_API void | SetExtent (FdoByteArray *value)
| Sets the extent of the context to create as a byte array in FGF format. If the extent type is dynamic this is optional and any value specified is ignored.
FDO_API void | SetExtentType (FdoSpatialContextExtentType value)
| Sets the desired extent type of the context to create, either static or dynamic.
FDO_API void | SetName (FdoString *value)
| Sets the name of the context to create as a string.
FDO_API void | SetXYTolerance (const double value)
| Sets the tolerance value to use for X/Y ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
FDO_API void | SetZTolerance (const double value)
| Sets the tolerance value to use for Z ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
FDO_API void | WriteSpatialContext ()
| Writes the current Spatial Context to the XML document.
## Static Public Member Functions
static FDO_API FdoXmlSpatialContextWriter * | Create (FdoXmlWriter *writer, FdoXmlSpatialContextFlags *flags=NULL)
| creates a Spatial Context Writer.
## Protected Member Functions
virtual FDO_API void | Dispose ()
| FdoXmlSpatialContextWriter (FdoXmlWriter *writer, FdoXmlSpatialContextFlags *flags=NULL)
| FdoXmlSpatialContextWriter ()
| default constructor to keep linux from complaining.
virtual | ~FdoXmlSpatialContextWriter ()

The documentation for this class was generated from the following file:

- SpatialContextWriter.h